org.jboss.resteasy.client.jaxrs.internal

## Class AbortedResponse

- java.lang.Object
- - javax.ws.rs.core.Response
  - - org.jboss.resteasy.specimpl.BuiltResponse
    - - org.jboss.resteasy.client.jaxrs.internal.ClientResponse
      - - org.jboss.resteasy.client.jaxrs.internal.AbortedResponse

-     public class AbortedResponse
      extends ClientResponse

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.ws.rs.core.Response

      `Response.ResponseBuilder, Response.Status, Response.StatusType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected InputStream` | `is`

    - ### Fields inherited from class org.jboss.resteasy.client.jaxrs.internal.ClientResponse

      `bufferedEntity, configuration, properties`

    - ### Fields inherited from class org.jboss.resteasy.specimpl.BuiltResponse

      `annotations, entity, entityClass, genericType, isClosed, metadata, processor, status`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbortedResponse(ClientConfiguration configuration, Response response)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InputStream` | `getInputStream()`
    `protected void` | `releaseConnection()` release underlying connection but do not close
    `protected void` | `setInputStream(InputStream is)`

    - ### Methods inherited from class org.jboss.resteasy.client.jaxrs.internal.ClientResponse

      `abortIfClosed, bufferEntity, close, finalize, getEntity, getEntityStream, getHeaderValueProcessor, getProperties, hasEntity, noReleaseConnection, readEntity, readFrom, setClientConfiguration, setHeaders, setProperties`

    - ### Methods inherited from class org.jboss.resteasy.specimpl.BuiltResponse

      `addMethodAnnotations, getAllowedMethods, getAnnotations, getCookies, getDate, getEntityClass, getEntityTag, getGenericType, getHeaderString, getLanguage, getLastModified, getLength, getLink, getLinkBuilder, getLinkHeaders, getLinks, getLocation, getMediaType, getMetadata, getStatus, getStatusInfo, getStringHeaders, hasLink, isClosed, readEntity, readEntity, readEntity, readEntity, setAnnotations, setEntity, setEntityClass, setGenericType, setMetadata, setStatus, toHeaderString`

    - ### Methods inherited from class javax.ws.rs.core.Response

      `accepted, accepted, created, fromResponse, getHeaders, noContent, notAcceptable, notModified, notModified, notModified, ok, ok, ok, ok, ok, seeOther, serverError, status, status, status, temporaryRedirect`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### is

          protected InputStream is

  - ### Constructor Detail

    - #### AbortedResponse

          public AbortedResponse(ClientConfiguration configuration,
                         Response response)

  - ### Method Detail

    - #### getInputStream

          protected InputStream getInputStream()

      Specified by:
        `getInputStream` in class `ClientResponse`

    - #### setInputStream

          protected void setInputStream(InputStream is)

      Specified by:
        `setInputStream` in class `ClientResponse`

    - #### releaseConnection

          protected void releaseConnection()

      Description copied from class: `ClientResponse`
      release underlying connection but do not close
      Specified by:
        `releaseConnection` in class `ClientResponse`

Copyright © 2014. All Rights Reserved.